# Interface StateVariable

Used for representing decoded state variables.

#### Hierarchy

- StateVariable

- Defined in codec/lib/types.ts:56

#####
Index

### Properties

class
name
value

## Properties

### class

class: ContractType

The class of the contract that defined the variable, as a Format.Types.ContractType. Note that this class may differ from that of the contract being decoded, due to inheritance.

- Defined in codec/lib/types.ts:67

### name

name: string

The name of the variable. Note that due to inheritance, this may not be unique among the contract's state variables.

- Defined in codec/lib/types.ts:61

### value

value: Result

The decoded value of the variable. Note this is a Format.Values.Result, so it may be an error.

- Defined in codec/lib/types.ts:71

Generated using TypeDoc